<template>
	<uv-navbar
	  :fixed="false"
	  :title="title"
	  left-arrow
	  @leftClick="$onClickLeft"
	/>
	<view style="overflow:hidden">
		<view class="set-box bg-white">
			<uv-alert  type="warning" v-if="form.checkStatus == 1" description="合同正在审核中,不可以修改!"></uv-alert>
			<uv-alert  type="warning" v-else-if="form.checkStatus == 2" description="合同已经审核通过,不可以修改!"></uv-alert>
			<uv-form :model="form" ref="uForm" :errorType="errorType" labelWidth="85" :rules="rules">
				<uv-form-item required label="合同编号:"  prop="number">
					<uv-input v-model="form.number" :disabled="isCheck"  />
				</uv-form-item>
				<uv-form-item required label="合同名称:"  prop="name">
					<uv-input v-model="form.name" :disabled="isCheck"  />
				</uv-form-item>
				<uv-form-item  label="选择客户:" @click="type != 'check' ? selectShow() : ''" prop="customerName" required >
					<uv-input disabledColor="#ffffff" disabled v-model="form.customerName" placeholder="选择客户" >
						<template v-slot:suffix>
							<uv-icon name="arrow-right"></uv-icon>
						</template>
					</uv-input>
				</uv-form-item>
				<uv-form-item  label="选择商机:" @click="type != 'check'  ? selectShow4() : ''" >
					<uv-input disabledColor="#ffffff" disabled v-model="form.businessName" placeholder="选择商机" >
						<template v-slot:suffix>
							<uv-icon name="arrow-right"></uv-icon>
						</template>
					</uv-input>
				</uv-form-item>
				<uv-form-item label="合同金额:" prop="money" required >
					<uv-input type="number" v-model="form.money" :disabled="isCheck"  />
				</uv-form-item>
				<uv-form-item  label="下单时间 :" @click="type != 'check'  ? createTimeShow() : ''">
					<uv-input  v-model="orderTime" placeholder="选择下单时间 " disabled disabledColor="#ffffff" >
						<template v-slot:suffix>
							<uv-icon name="arrow-right"></uv-icon>
						</template>
					</uv-input>
				</uv-form-item>
				<uv-form-item  label="开始时间 :" @click="type != 'check'  ? createTimeShow2() : ''">
					<uv-input  v-model="startTime" placeholder="选择开始时间 " disabled disabledColor="#ffffff" >
						<template v-slot:suffix>
							<uv-icon name="arrow-right"></uv-icon>
						</template>
					</uv-input>
				</uv-form-item>
				<uv-form-item  label="结束时间 :" @click="type != 'check'  ? createTimeShow3() : ''">
					<uv-input  v-model="endTime" placeholder="选择结束时间 " disabled disabledColor="#ffffff" >
						<template v-slot:suffix>
							<uv-icon name="arrow-right"></uv-icon>
						</template>
					</uv-input>
				</uv-form-item>
				<uv-form-item  label="客户签约人:" @click="type != 'check'  ? selectShow2() : ''" required >
					<uv-input disabledColor="#ffffff" disabled v-model="form.contactsName" placeholder="选择签约人" >
						<template v-slot:suffix>
							<uv-icon name="arrow-right"></uv-icon>
						</template>
					</uv-input>
				</uv-form-item>
				<uv-form-item  label="公司签约人:" @click="type != 'check'  ? selectShow3() : ''"  required >
					<uv-input disabledColor="#ffffff" disabled v-model="form.orderAdminName" placeholder="选择签约人" >
						<template v-slot:suffix>
							<uv-icon name="arrow-right"></uv-icon>
						</template>
					</uv-input>
				</uv-form-item>
				<uv-form-item  label="审批人:" >
					<uv-input disabledColor="#ffffff" disabled v-model="form.flowAdminIdName" placeholder="请去审批流程里配置合同审批" />
				</uv-form-item>
				<uv-form-item label="备注:" >
					<uv-textarea v-model="form.remark" :disabled="isCheck" placeholder="请输入备注"></uv-textarea>
				</uv-form-item>
			</uv-form>
			<!-- 产品 -->
			<view class="flex cif-title" @click="selectProduct">
				<view class="flex-1 text">产品关联</view>
				<view class="flex align-center" style="color:#2979ff">
					选择产品<uv-icon name="arrow-right" color="#909399" size="20"></uv-icon>
				</view>
			</view>
			<view class="list">
				<block v-if="selectList.length > 0">
					<view class="item" v-for="(item,index) in selectList" :key="index">
						<view class="number flex">
							<view class="flex-1">序号: {{index+1}}</view>
							<uv-number-box :min="1" v-model="item.nums" :longPress="false"  @change="isCheck ? valChange() : ''"></uv-number-box>
						</view>
						<view class="content flex align-center">
							<view class="flex-1 name">{{item.storeName ? item.storeName : item.name}}({{item.sku}})</view>
							<view class="price flex align-center">
								<view class="pr-1" style="font-weight: 600;">￥</view>
								<uv-input type="number" :clearable="false" placeholder="请输入价格" v-model="item.price" @input="isCheck ? inputChang : ''"  />
							</view>
						</view>
						<view class="brief flex">
							<view class="">备注：</view>
							<uv-input  v-model="item.remarks" :disabled="isCheck" />
						</view>
						<!-- 删除按钮 -->
						<view class="close" @click="type != 'check'  ? remove(index) : ''">
							<uv-icon name="close"  color="#909399" size="20"></uv-icon>
						</view>
					</view>
				</block>
				<uv-empty text="暂未选择产品" v-else  margin-top="50" mode="list"></uv-empty>
			</view>
			<view class="flex mb-1 mt-1 align-center">
				<view class="mr-1" style="width:150rpx">优惠率%：</view>
				<view class="flex-1"><uv-input  type="number" v-model="form.discountRate" :disabled="isCheck" placeholder="请填写0到100的数"  @input="inputChang" /></view>
			</view>
			<view class="flex mb-1 mt-1 align-center">
				<view class="mr-1" style="width: 150rpx">总额：</view>
				<view class="flex-1"><uv-input  type="number" v-model="form.totalPrice" :disabled="isCheck"  /></view>
			</view>
			<view class="mt-4" style="text-align: center;" v-if="!isCheck">
				<uv-button  color="#09b4f1"  @click="submit" :disabled="form.checkStatus == 1 || form.checkStatus == 2" :ripple="true">确定提交</uv-button>
			</view>
			<view class="mt-4 flex justify-end" style="text-align: center;" v-else>
				<view style="width: 25%;margin-right: 10rpx;">
					<uv-button  color="#09b4f1"  @click="submitCheck(1)" >审核</uv-button>
				</view>
				<view style="width: 25%;">
					<uv-button  type="error"  @click="selectShow5()" >拒绝</uv-button>
				</view>
			</view>
		</view>
		<uv-popup  mode="bottom" round="38"  ref="selectShowRef5" >
			<view class="popup-content">
				<view class="popup-title">
					<view class=""  style="width: 45px;">
					</view>
					<text class="">输入驳回理由</text> 
					<view class="" @click="selectShowClose5" style="width: 45px;">
						<uv-icon name="close"  color="#909399" size="30"></uv-icon>
					</view>
				</view>
				<view style="height: 500rpx;padding: 20rpx;">
					<uv-textarea v-model="form2.remark"  placeholder="输入驳回理由"></uv-textarea>
				</view>
				<view style="padding: 20rpx;">
					<uv-button  color="#09b4f1"  @click="submitCheck(2)" >确定</uv-button>
				</view>
		
			</view>
		</uv-popup>
		<!-- 选择客户弹窗 -->
		<uv-popup  mode="bottom" round="38"  ref="selectShowRef" >
			<view class="popup-content">
				<view class="popup-title">
					<view class=""  style="width: 45px;">
					</view>
					<text class="">选择客户</text> 
					<view class="" @click="selectShowClose" style="width: 45px;">
						<uv-icon name="close"  color="#909399" size="30"></uv-icon>
					</view>
				</view>
				<uv-search margin="30rpx 20rpx" shape="square" v-model="keyword" :show-action="false" :clearabled="true"  placeholder="输入客户名称搜索" @change="onSearch"></uv-search>
				<scroll-view scroll-y style="height: 760rpx;width: 100%;" @scrolltolower="reachBottom">
					<view class="list">
						<block v-if="customerList.length > 0">
							<view class="mb-4">
								<view class="item flex" v-for="(item,index) in customerList" :key="index" @click="onItem(item,index)">
									<view class="title">{{item.name}}</view>
									<view class="check-icon">
										<uv-icon v-if="item.checked" name="checkmark" color="#09b4f1" size="28"></uv-icon>
									</view>
								</view>
							</view>
							<uv-load-more :status="listStatus" ></uv-load-more>
						</block>
						<uv-empty text="暂无数据" v-else  mode="list"></uv-empty>
					</view>
				</scroll-view>
			</view>
		</uv-popup>
		<uv-popup  mode="bottom" round="38"  ref="selectShowRef2" >
			<view class="popup-content">
				<view class="popup-title">
					<view class=""  style="width: 45px;">
					</view>
					<text class="">选择客户签约人</text> 
					<view class="" @click="selectShowClose2" style="width: 45px;">
						<uv-icon name="close"  color="#909399" size="30"></uv-icon>
					</view>
				</view>
				<scroll-view scroll-y style="height: 760rpx;width: 100%;">
					<view class="list">
						<block v-if="customerContacts.length > 0">
							<view class="mb-4">
								<view class="item flex" v-for="(item,index) in customerContacts" :key="index" @click="onItem2(item,index)">
									<view class="title">{{item.customerName}}</view>
									<view class="check-icon">
										<uv-icon v-if="item.checked" name="checkmark" color="#09b4f1" size="28"></uv-icon>
									</view>
								</view>
							</view>
						</block>
						<uv-empty text="暂无数据" v-else  mode="list"></uv-empty>
					</view>
				</scroll-view>
			</view>
		</uv-popup>
		<uv-popup  mode="bottom" round="38"  ref="selectShowRef3" >
			<view class="popup-content">
				<view class="popup-title">
					<view class=""  style="width: 45px;">
					</view>
					<text class="">选择公司签约人</text> 
					<view class="" @click="selectShowClose3" style="width: 45px;">
						<uv-icon name="close"  color="#909399" size="30"></uv-icon>
					</view>
				</view>
				<uv-search margin="30rpx 20rpx" shape="square" v-model="keyword3" :show-action="false" :clearabled="true"  placeholder="输入用户名称搜索" @change="onSearch3"></uv-search>
				<scroll-view scroll-y style="height: 760rpx;width: 100%;" @scrolltolower="reachBottom3">
					<view class="list">
						<block v-if="userList.length > 0">
							<view class="mb-4">
								<view class="item flex" v-for="(item,index) in userList" :key="index" @click="onItem3(item,index)">
									<view class="title">{{item.username}}</view>
									<view class="check-icon">
										<uv-icon v-if="item.checked" name="checkmark" color="#09b4f1" size="28"></uv-icon>
									</view>
								</view>
							</view>
							<uv-load-more :status="listStatus3" ></uv-load-more>
						</block>
						<uv-empty text="暂无数据" v-else  mode="list"></uv-empty>
					</view>
				</scroll-view>
			</view>
		</uv-popup>
		<uv-popup  mode="bottom" round="38"  ref="selectShowRef4" >
			<view class="popup-content">
				<view class="popup-title">
					<view class=""  style="width: 45px;">
					</view>
					<text class="">选择商机</text> 
					<view class="" @click="selectShowClose4" style="width: 45px;">
						<uv-icon name="close"  color="#909399" size="30"></uv-icon>
					</view>
				</view>
				<scroll-view scroll-y style="height: 760rpx;width: 100%;" @scrolltolower="reachBottom3">
					<view class="list">
						<block v-if="businessList.length > 0">
							<view class="mb-4">
								<view class="item flex" v-for="(item,index) in businessList" :key="index" @click="onItem4(item,index)">
									<view class="title">{{item.name}}</view>
									<view class="check-icon">
										<uv-icon v-if="item.checked" name="checkmark" color="#09b4f1" size="28"></uv-icon>
									</view>
								</view>
							</view>
						</block>
						<uv-empty text="暂无数据" v-else  mode="list"></uv-empty>
					</view>
				</scroll-view>
			</view>
		</uv-popup>
		<uv-datetime-picker ref="datetimePicker" v-model="timeValue" mode="datetime" @confirm="createTimeChange"></uv-datetime-picker>
		<uv-datetime-picker ref="datetimePicker2" v-model="timeValue2" mode="datetime" @confirm="createTimeChange2"></uv-datetime-picker>
		<uv-datetime-picker ref="datetimePicker3" v-model="timeValue2" mode="datetime" @confirm="createTimeChange3"></uv-datetime-picker>
	</view>
</template>

<script setup>
import {
  ref,
  unref,
  computed
} from 'vue'
import { onLoad,onShow } from '@dcloudio/uni-app'
import {
  getCustomerListPage,
  getContactsPage
} from '@/api/customer'
import {
  getBusinessProductListByBusinessId,
  getBusinessPage
} from '@/api/business'
import {
  getContractNo,
  createContract,
  getContract,
  getContractProductListByContractId,
  updateContract,
  check
} from '@/api/contract'
import {
  getSimpleUserList,
  getFlowUsers,
  getSimpleUserList2
} from '@/api/user'
import AddressSelect from '@/components/AddressSelect/index.vue'
import { formatDateTime,prePage } from '@/utils/util'
import { useMainStore } from '@/store/store'
import { storeToRefs } from 'pinia'
const main = useMainStore()
const { selectProductList } = storeToRefs(main)
const title = ref('添加合同')
const labelPosition = ref('left')
const keyword = ref('')
const listStatus =ref('loadmore')
const listStatus3 =ref('loadmore')
const customerList = ref([])
const goodsName = ref('')
const page = ref(1)
const page3 = ref(1)
const pageSize = ref(10)
const lastPage = ref(false)
const lastPage3 = ref(false)
const selectList = ref([])
const businessData = ref({})
const type = ref('add')
const contractId = ref(0)
const customerId = ref(0)
const nextTime = ref('')
const orderTime = ref(formatDateTime(new Date()))
const startTime = ref(formatDateTime(new Date()))
const endTime = ref(formatDateTime(new Date()))
const content = ref('')
const customerName = ref('')
const form = ref({
	customerId: '',
	customerName: '',
	name: '',
	nextTime: '',
	starTime: new Date(),
	orderTime: new Date(),
	endTime: new Date(),
	money: '',
	remark: '',
	discountRate: '',
	totalPrice: '',
	contactsName: '',
	orderAdminName: ''
})
const timeText = ref('')
const errorType = ref('message')
const rules = ref({

})
const customerContacts = ref([])
const userList = ref([])
const username = ref('')
const keyword3 = ref('')
const businessList = ref([])
const isCheck = ref(false)
const form2 = ref({
	id: 0,
	agreeType: 1,
	remark: ''
})

onLoad((e) => {
	if(e.type){
		type.value = e.type
	}
	if(type.value == 'check'){
		isCheck.value = true
		title.value = '审核合同'
		contractId.value = e.id
		getContractInfo()
	}
	if(type.value == "edit") {
		title.value = '编辑合同'
		contractId.value = e.id
		getContractInfo()
	}else{
		getNumber()
	}
	console.log('isCheck.value:',isCheck.value)
	getCustomerList()
	getUserList()
	getFlowUsersList()
})

onShow(()=>{
	selectList.value = selectProductList.value
	count_price()
})

const getFlowUsersList = async() => {
	let data = await getFlowUsers({flowType: 'contract'})
	let users = await getSimpleUserList2()
	let userIdArr = []
	let userArr = []
	for(var i = 0;i <= data.length;i++){
		users.forEach((item,index) => {
			if(data[i] == item.id){
				userIdArr.push(item.id)
				userArr.push(item.nickname)
			}
		})
	}
	
	form.value.flowAdminIdName = userArr.join(',')
	form.value.flowAdminId = userIdArr
	
	// console.log('userIdArr:',userIdArr)
	// console.log('userArr:',userArr)
	// console.log('flowAdminIdName:',form.value.flowAdminIdName)
	
}

const getNumber = async() => {
	form.value.number = await getContractNo()
}

const selectShowRef = ref()
const selectShow = () => {
	unref(selectShowRef).open()
}
const selectShowClose = () => {
	unref(selectShowRef).close()
}

const datetimePicker = ref()
const createTimeShow = () => {
	unref(datetimePicker).open()
}

// 选择时间
const createTimeChange = (e) => {
	form.value.orderTime = e.value
	orderTime.value = formatDateTime(e.value)
}

const datetimePicker2 = ref()
const createTimeShow2 = () => {
	unref(datetimePicker2).open()
}

// 选择时间
const createTimeChange2 = (e) => {
	form.value.startTime = e.value
	startTime.value = formatDateTime(e.value)
}

const datetimePicker3 = ref()
const createTimeShow3 = () => {
	unref(datetimePicker3).open()
}

// 选择时间
const createTimeChange3 = (e) => {
	form.value.endTime = e.value
	endTime.value = formatDateTime(e.value)
}
// 获取商机数据详情
const getContractInfo = async() => {
	form.value = await getContract({id:contractId.value})
	form.value.flowAdminId = form.value.flowAdminId2
	selectList.value = await getContractProductListByContractId({contractId:contractId.value})
}
// 搜索
const onSearch = () => {
	page.value = 1
	lastPage.value = false
	getCustomerList()
}

// 去选择产品
const selectProduct = () => {
	uni.navigateTo({
		url: '/pages/components/pages/business/selectProduct'
	});

}

const getCustomerList = async(isNextPage,pages) => {
	await getCustomerListPage({
		pageNo: page.value,
		pageSize: pageSize.value,
		relation: 'my',
		name:keyword.value,
	}).then(res => {
		if(res) {
			// 不够一页
			if (res.list.length < 10) {
				listStatus.value = 'nomore'
			}
			// 最后一页
			if(res.list.length == 0) {
				lastPage.value = true
			} 
			// 第二页开始
			if(isNextPage) {
				customerList.value = customerList.value.concat(res.list)
				return 
			}
			customerList.value = res.list
			
			if(form.value.customerId) {
				customerList.value.forEach((item,index) => {
					if(form.value.customerId == item.id) {
						item.checked = true
						customerName.value = item.name
					} else {
						item.checked = false
					}
				})
			}
		}
	})
}

const getUserList = async(isNextPage,pages) => {
	await getSimpleUserList({
		pageNo: page.value,
		pageSize: pageSize.value,
		username:keyword3.value,
	}).then(res => {
		if(res) {
			// 不够一页
			if (res.list.length < 10) {
				listStatus3.value = 'nomore'
			}
			// 最后一页
			if(res.list.length == 0) {
				lastPage3.value = true
			} 
			// 第二页开始
			if(isNextPage) {
				userList.value = userList.value.concat(res.list)
				return 
			}
			userList.value = res.list
			
			if(form.value.orderAdminId) {
				userList.value.forEach((item,index) => {
					if(form.value.orderAdminId == item.id) {
						item.checked = true
						username.value = item.username
					} else {
						item.checked = false
					}
				})
			}
		}
	})
}


// 滚动到底部加载更多
const reachBottom = () => {
	if(lastPage.value || listStatus.value == 'loading') return 
	listStatus .value= 'loading'
	setTimeout(() => {
		getCustomerList(true,++page.value)
		if(customerList.value.length >= 10) {
			listStatus.value = 'loadmore';
		}else{
			listStatus.values = 'loading';
		} 
	}, 1200)
}

const reachBottom3 = () => {
	if(lastPage3.value || listStatus3.value == 'loading') return 
	listStatus3 .value= 'loading'
	setTimeout(() => {
		getUserList(true,++page3.value)
		if(userList.value.length >= 10) {
			listStatus3.value = 'loadmore';
		}else{
			listStatus3.values = 'loading';
		} 
	}, 1200)
}
// 选择客户
const onItem = async(val,i) => {
	customerList.value.forEach((item,index) => {
		if(val.id == item.id) {
			item.checked = true
			val.name=val.name?val.name:item.name;
		} else {
			item.checked = false
		}
	})
	form.value.customerId = val.id
	//customerId.value = val.id
	form.value.customerName = val.name ? val.name : ''
	//选择了客户 返回客户联系人
	let data = await getContactsPage({customerId:val.id})
	customerContacts.value = data.list
	//根据客户查找商机
	let data2 = await getBusinessPage({customerId:val.id})
	businessList.value = data2.list
	selectShowClose()
}

const selectShowRef2 = ref()
const selectShow2 = () => {
	unref(selectShowRef2).open()
}
const selectShowClose2 = () => {
	unref(selectShowRef2).close()
}

const onItem2 = async(val,i) => {
	customerContacts.value.forEach((item,index) => {
		if(val.id == item.id) {
			item.checked = true
			val.name=val.name?val.name:item.name;
		} else {
			item.checked = false
		}
	})
	form.value.contactsId = val.id
	//customerId.value = val.id
	form.value.contactsName = val.name ? val.name : ''
	selectShowClose2()
}


const selectShowRef3 = ref()
const selectShow3 = async() => {
	unref(selectShowRef3).open()
}
const selectShowClose3 = () => {
	unref(selectShowRef3).close()
}

const onItem3 = async(val,i) => {
	userList.value.forEach((item,index) => {
		if(val.id == item.id) {
			item.checked = true
			val.username=val.username?val.username:item.username;
		} else {
			item.checked = false
		}
	})
	form.value.orderAdminId = val.id
	//customerId.value = val.id
	form.value.orderAdminName = val.username ? val.username : ''
	selectShowClose3()
}

const selectShowRef4 = ref()
const selectShow4 = async() => {
	unref(selectShowRef4).open()
}
const selectShowClose4 = () => {
	unref(selectShowRef4).close()
}

const onItem4 = async(val,i) => {
	businessList.value.forEach((item,index) => {
		if(val.id == item.id) {
			item.checked = true
			val.name=val.name?val.name:item.name;
		} else {
			item.checked = false
		}
	})
	form.value.businessId = val.id
	//customerId.value = val.id
	form.value.businessName = val.name ? val.name : ''
	
	selectList.value = await getBusinessProductListByBusinessId({businessId:val.id})

	selectShowClose4()
}

const selectShowRef5 = ref()
const selectShow5 = async() => {
	unref(selectShowRef5).open()
}
const selectShowClose5 = () => {
	unref(selectShowRef5).close()
}

// 产品数量增加
const valChange = () =>{
	count_price()
}
// 优惠率改变
const inputChang =() => {
	count_price()
}
// 移除已选产品
const remove = (i) => {
	selectList.value.splice(i, 1)
	count_price()
}
// 计算价格
const count_price = () => {
	let total = 0;
	setTimeout(() => {
		for (let i = 0; i < selectList.value.length; i++) {
			total += selectList.value[i].nums * selectList.value[i].price
		}
		if(form.value.discountRate > 0) {		
			total = total - (form.value.discountRate/100) * total
		}
		form.value.totalPrice = total.toFixed(2)
	}, 500)

}

const submitCheck = async(type) => {
	if(type == 2 && form2.value.remark == ''){
		uni.showToast({
			icon: 'error',
			title: '请填写驳回理由'
		})
		
		return
	}
	form2.value.id = contractId.value
	form2.value.type
	await check(form2.value)
	
	uni.showToast({
		title: '审核成功',
		icon: 'success',
		duration: 2000
	})
	prePage().$vm.isRefresh = true
	setTimeout(() => {
		uni.navigateBack();
	}, 1000);
}

// 提交跟进
const uForm = ref()
const submit = () => {
	if(form.value.name == ''){
		uni.showToast({
			icon: 'error',
			title: '请填写合同名称'
		})
		
		return
	}
	if(form.value.customerId == ''){
		uni.showToast({
			icon: 'error',
			title: '请选择客户'
		})
		
		return
	}
	
	if(form.value.money == ''){
		uni.showToast({
			icon: 'error',
			title: '请填写合同金额'
		})
		
		return
	}
	
	if(form.value.contactsName == ''){
		uni.showToast({
			icon: 'error',
			title: '请选择客户签约人'
		})
		
		return
	}
	if(form.value.orderAdminIdName == ''){
		uni.showToast({
			icon: 'error',
			title: '请选择公司签约人'
		})
		
		return
	}
	
	if(selectList.value.length <= 0){
		uni.showToast({
			icon: 'error',
			title: '请选择商品'
		})
		
		return
	}
	onSubmit()

}


// 修确认提交
const onSubmit = async() => {
	let newArr = []
	selectList.value.forEach((item,index)=>{
		let obj = {}
		obj.name = item.storeName ? item.storeName : item.name
		obj.nums = item.nums
		obj.price = item.price
		obj.productAttrUnique = item.productAttrUnique
		obj.productId = item.productId ? item.productId : item.id
		obj.sku = item.sku
		obj.remarks = item.remarks
		obj.subtotal = item.nums * item.price
		newArr[index] = obj
	})
	if(type.value == 'add'){
	
		form.value.contractProducts = newArr
		await createContract(form.value)
		
		uni.showToast({
			title: '添加成功',
			icon: 'success',
			duration: 2000
		})
		prePage().$vm.isRefresh = true
		setTimeout(() => {
			uni.navigateBack();
		}, 1000);
	}else{
		// selectList.value.forEach((item,index)=>{
		// 	item.subtotal = item.nums * item.price
		// })
		form.value.contractProducts = newArr
		await updateContract(form.value)
		uni.showToast({
			title: '修改成功',
			icon: 'success',
			duration: 2000
		})
		prePage().$vm.isRefresh = true
		setTimeout(() => {
			uni.navigateBack();
		}, 1000);
	}
	
}
	
	
</script>

<style lang="scss" scoped>
.set-box {
  padding: 0rpx 22rpx;
  margin-bottom: 80rpx;
  .cif-title {
		padding: 22rpx 0;
		.text {
			font-size: 30rpx;
			font-weight: 700;
		}
	}
  .list {
		margin: 40rpx 15rpx 60rpx;
    .item {
			position: relative;
			border-radius: 15rpx;
			box-shadow: 1px 0px 5px rgba(50, 50, 50, 0.3);
			padding: 25rpx 35rpx;
			margin-bottom: 45rpx;
			.number {
				margin-bottom: 20rpx;
			}
			.content {
				margin-bottom: 20rpx;
				.price {
					width: 245rpx;
					font-size: 28rpx;
					color: #fa3534;
				}
			}
			.brief {
				margin: 10rpx 0;
				font-size: 28rpx;
				color: $uv-tips-color;
			}
			.close {
				position: absolute;
				right: -8px;
				top: -30rpx;
				background-color: #fff;
				border-radius: 50%;
				height: 60rpx;
				width: 60rpx;
				display: flex;
				align-items: center;
				justify-content: center;
				box-shadow: 1px 0px 5px rgba(50, 50, 50, 0.3);
			}
    }

  }
 }
 .popup-content {
	.popup-title {
		display: flex;
		align-items: center;
		justify-content: space-between;
		position: relative;
		font-size: 35rpx;
		font-weight: 600;
		text-align: center;
		height: 50px;
		padding-right: 25rpx;
	}
	.list {
		margin-bottom: 45rpx;
		.item {
			padding: 0 25rpx;
			justify-content: space-between;
			height: 45px;
			.title {
				flex: 1;
				font-size: 28rpx;
				font-weight: 600;
			}
			.check-icon {
				text-align: center;
				width: 100rpx;
			}
		}
	}
	.bottom_btn {
		display: flex;
		justify-content: flex-end;
		padding: 28rpx 10rpx 45rpx;
	}
}
</style>
